Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'cje-production/mbscripts/mb100_cloneRepos.sh')
-rw-r--r--cje-production/mbscripts/mb100_cloneRepos.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/cje-production/mbscripts/mb100_cloneRepos.sh b/cje-production/mbscripts/mb100_cloneRepos.sh
new file mode 100644
index 000000000..86ffec142
--- /dev/null
+++ b/cje-production/mbscripts/mb100_cloneRepos.sh
@@ -0,0 +1,28 @@
+#!/bin/bash -x
+
+#*******************************************************************************
+# Copyright (c) 2018 IBM Corporation and others.
+#
+# This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License 2.0
+# which accompanies this distribution, and is available at
+# https://www.eclipse.org/legal/epl-2.0/
+#
+# SPDX-License-Identifier: EPL-2.0
+#
+# Contributors:
+# Kit Lo - initial API and implementation
+#*******************************************************************************
+
+if [ $# -ne 1 ]; then
+ echo USAGE: $0 env_file
+ exit 1
+fi
+
+source "../common/common-functions.shsource"
+source "../siteDir/buildproperties.shsource"
+
+rm -rf ../$AGG_DIR
+git clone -b $BRANCH --recursive $GIT_ROOT$AGG_REPO ../$AGG_DIR
+cd ../$AGG_DIR
+git submodule foreach 'git fetch; SUBMODULE_BRANCH=$(grep $name: ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt | cut -f2 -d\ ); SUBMODULE_BRANCH=${SUBMODULE_BRANCH:-$BRANCH}; echo Checking out origin/$SUBMODULE_BRANCH; git checkout origin/$SUBMODULE_BRANCH'

Back to the top